body {
    background-color: #3F4339;
    position: relative;
    overflow-x: hidden;
}

body::before {
    content: "";
    position: fixed;

    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 1920px;
    height: 1080px;

    background-image: url('../images/trees.svg');

    background-repeat: no-repeat;
    background-size: auto;
    background-position: center;

    opacity: 0.25;

    z-index: -1;
    pointer-events: none;
}

main,
.container,
header {
    position: relative;
    z-index: 1;
}

.main-header,
.footer {
    background-color: transparent;
    color: #F4F6F0;
}

#trailMap,
#trailElevationChart,
.data-card {
    background-color: #23271F !important;
    border-radius: 12px;
    box-shadow: 0 4px 6px -1px rgba(0, 0, 0, 0.2);
}

.sidebar-trees {
    position: relative;
}

.sidebar-trees::before {
    content: "";
    position: absolute;
    inset: 0;
    background-image: url('../images/trees.svg');
    background-repeat: no-repeat;
    background-size: cover;
    background-position: bottom center;
    opacity: 0.05;
    pointer-events: none;
    z-index: 0;
}

.sidebar-trees>* {
    position: relative;
    z-index: 10;
}
